#
# Conditional build:
# _without_libwrap	- without hosts.{access,deny} support
#
Summary:	The Enlightened Sound Daemon
Summary(es):	Demonio de sonido de Enlightment
Summary(fr):	Dmon audio de Enlightment
Summary(pl):	Owiecony Demon Dwiku
Name:		esound
Version:	0.2.23
Release:	7
Epoch:		1
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/esound/%{name}-%{version}.tar.gz
Patch0:		%{name}-esddsp.in.patch
Patch1:		http://webpages.charter.net/tprado/esound/files/%{name}-0.2.23-ztp20011218_0.patch.gz
URL:		http://www.tux.org/~ricdude/EsounD.html
BuildRequires:	audiofile-devel >= 0.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
%{!?_without_libwrap:BuildRequires:	libwrap-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libesound0

%define		_sysconfdir	/etc

%description
The Enlightened Sound Daemon is a server process that allows multiple
applications to share a single sound card.

%description -l es
El demonio de sonido de Enlightment es un proceso servidor que permite
a ms de una aplicacin de usar la tarjeta de sonido al mismo tiempo

%description -l fr
Le dmon audio de Enlightment est un processus serveur qui permets 
plusieures applications d'utilsier la carte son  la fois.

%description -l pl
"Owiecony demon dwiku" jest serwerem, ktry umoliwia korzystanie
(dzielenie) z jednej karty dwikowej przez rne aplikacje.

%package devel
Summary:	Libraries, includes, etc to develop EsounD applications
Summary(es):	Bibliotecas, includes, etc para desarrollar programas para EsounD
Summary(fr):	Bibliothques, includes, etc pour programmer pour EsounD
Summary(pl):	Biblioteki, pliki nagwkowe oraz dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	audiofile-devel
Obsoletes:	libesound0-devel

%description devel
Libraries, include files, etc you can use to develop EsounD
applications.

%description devel -l es
Bibliotecas, archivos *.h, etc necesarios para escribir programas con
soporte para EsounD.

%description devel -l fr
Bibliothques, fichiers d'en-ttes, etc. necessaires pour crire des
applications avec support EsounD

%description devel -l pl
Biblioteki, pliki nagwkowe oraz dokumentacja - czyli wszystko czego
potrzebujesz do tworzenia aplikacji pod EsounD.

%package static
Summary:	EsounD static library
Summary(pl):	Biblioteka statyczna esound
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description static
EsounD static library.

%description static -l pl
Biblioteka statyczna esound.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing acinclude.m4
libtoolize --copy --force
aclocal || ( echo 'AC_DEFUN([AM_PATH_ALSA],[])' > acinclude.m4 && aclocal )
autoconf
automake -a -c
%configure \
	--disable-alsa \
	--with%{?_without_libwrap:out}-libwrap

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

gzip -9nf README AUTHORS ChangeLog NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.gz

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/esd.conf
%attr(755,root,root) %{_bindir}/esd
%attr(755,root,root) %{_bindir}/esdcat
%attr(755,root,root) %{_bindir}/esdctl
%attr(755,root,root) %{_bindir}/esddsp
%attr(755,root,root) %{_bindir}/esdfilt
%attr(755,root,root) %{_bindir}/esdloop
%attr(755,root,root) %{_bindir}/esdmon
%attr(755,root,root) %{_bindir}/esdplay
%attr(755,root,root) %{_bindir}/esdrec
%attr(755,root,root) %{_bindir}/esdsample

%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc {AUTHORS,ChangeLog,NEWS}.gz

%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_bindir}/esd-config

%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/esound*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
